--dlc6-1
--地点：司云崖
--主旗标44001
--脚本id=24601
function dlc06_1()
if flag.GetValue(44001)==601 then
	func_start(0,0,0)
	local nXiaHou = 1
	local nXia = 2
	local nJiang = 3
	local nLan = 4
	local nGang = 5
	local nHuang = 6
	local nFreezeZhang = 7
	local nFreezeMing = 8
	local nMonsters = 9
	local nMon1 = 10
	local nMon2 = 11
	local nMon3 = 12
	local nMon4 = 13
	local nMon5 = 14
	local nMon6 = 15
	local nMon7 = 16
	local nZhangSEDummy = 25
	
	--###@@@镜头，小兰儿入镜，走上崖头
	effect.FadeIn(1,0.5)
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(2747,2817,4849,2813,2811,4923)
	camera.ResetLerp(18000)
	camera.ChangeCameraStatic(3161,2477,4789,3233,2469,4720)
	npc.Create(4,nLan,2955,4682)
	wt(7.5)
	npc.SetSpeed(nLan,0.8)
	npc.SetAnimSpeed(nLan,80)
	npc.MoveTo(nLan,3266,4692)
	global.WaitForCameraLerp()
	wt(2)
	npc.SetSpeed(nLan,1)
	npc.SetAnimSpeed(nLan,100)
	--回头看
	npc.TurnToPos(nLan,3009,4674,1)
	--种其他人
	npc.Create(1,nXiaHou,2624,4691)
	npc.SetAt(nXiaHou,1,0)
	npc.Create(2,nXia,2618,4673)
	npc.SetAt(nXia,1,0)
	npc.Create(5,nGang,2579,4680)
	npc.SetAt(nGang,1,0)
	npc.Create(6,nHuang,2553,4695)
	npc.SetAt(nHuang,1,0)
	npc.Create(3,nJiang,2552,4668)
	npc.SetAt(nJiang,1,0)
	npc.MoveTo(nXiaHou,2624+500,4691+14)
	npc.MoveTo(nXia,2618+500,4673+14)
	wt(0.5)
	npc.MoveTo(nGang,2579+500,4680+14)
	wt(0.3)
	npc.MoveTo(nHuang,2553+500,4695+14)
	wt(0.2)
	npc.MoveTo(nJiang,2552+500,4668+14)
	--==========
	
	--###@@@镜头，小兰儿看向走来的众人
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(3293,2456,4704,3214,2396,4694)
	camera.ResetLerp(6000)
	camera.ChangeCameraStatic(3293,2456,4704,3194,2459,4691)
	wt(6)
	-- npc.Stop(nXiaHou)
	-- npc.Stop(nXia)
	-- npc.Stop(nJiang)
	-- npc.Stop(nGang)
	-- npc.Stop(nHuang)
	--==========
	
	--###@@@镜头
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(3017,2431,4739,2934,2430,4683)
	camera.ResetLerp(4000)
	camera.ChangeCameraStatic(3038,2431,4753,2955,2430,4697)
	wt(4)
	--==========
	
	--###@@@镜头，单独给罡斩
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(3012,2441,4702,2928,2443,4647)
	camera.ResetLerp(2000)
	camera.ChangeCameraStatic(3093,2450,4703,3007,2461,4652)
	wt(2)
	-- npc.Stop(nXiaHou)
	-- npc.Stop(nXia)
	-- npc.Stop(nJiang)
	-- npc.Stop(nGang)
	-- npc.Stop(nHuang)
	--==========
	
	--###@@@镜头
	camera.ResetLerp(0)
	-- camera.ChangeCameraStatic(3231,2458,4705,3318,2453,4657)
	camera.ChangeCameraStatic(3231,2458,4705,3323,2452,4668)
	--重新调整位置
	npc.SetPos(nXia,3221,4680)
	npc.SetPos(nXiaHou,3234,4712)
	npc.SetPos(nHuang,3217,4744)
	npc.SetPos(nGang,3207,4675)
	npc.SetPos(nJiang,3190,4726)
	wt(1)
	ui.Dialog(95001,162,0,nLan,0,0)--……
	wt(0.3)
	ui.Dialog(95002,162,0,nLan,0,0)--得见心中所念……
	wt(0.3)
	npc.SetSpeed(nXia,0.8)
	npc.SetAnimSpeed(nXia,80)
	npc.MoveTo(nXia,3260,4678)
	camera.ResetLerp(2000)
	camera.ChangeCameraStatic(3231,2458,4705,3317,2448,4656)
	global.WaitForNpcPos(nXia,3260,4678)
	npc.SetSpeed(nXia,1)
	npc.SetAnimSpeed(nXia,100)
	npc.SetHeadRot(nXia,5,-20,0,100)
	npc.TurnToNpc(nXia,nLan,1)
	npc.SetHeadRot(nLan,-25,10,0,40)
	ui.Dialog(95003,183,0,nXia,0,0)--嗯？\n暮姐姐，你说什么？
	wt(0.3)
	npc.SetHeadRot(nLan,0,10,0,100)
	npc.TurnToNpc(nLan,nXia,1)
	wt(0.3)
	--摇头
	npc.SetAnim(nLan,207,2)
	wt(1)
	ui.Dialog(95004,160,2,nLan,0,0)--没什么，就是突然想到一个故事的结局。
	wt(0.3)
	--开心
	npc.SetAnim(nXia,211,2)
	wt(1)
	ui.Dialog(95005,192,0,nXia,0,0)--什么故事？
	wt(0.3)
	--思考
	npc.SetAnim(nLan,216)
	wt(1)
	--==========
	
	--###@@@镜头
	camera.ResetLerp(0)
	-- camera.ChangeCameraStatic(3234,2455,4670,3322,2453,4718)
	-- camera.ResetLerp(15000)
	-- camera.ChangeCameraStatic(3241,2455,4674,3330,2466,4719)
	camera.ChangeCameraStatic(3227,2454,4670,3315,2454,4719)
	wt(1)
	npc.SetAnim(nLan,200)
	ui.Dialog(95006,162,2,nLan,0,0)--是一个……很长的故事，美丽的结局。
	wt(0.8)
	ui.Dialog(95007,162,2,nLan,0,0)--（这法阵若是真……便这么结局吧。）
	wt(0.3)
	--思考
	npc.SetAnim(nXia,216)
	wt(0.5)
	ui.Dialog(95008,183,0,nXia,0,0)--很长的故事啊……
	wt(0.3)
	--开心
	npc.SetAnim(nXia,211,2)
	wt(0.5)
	ui.Dialog(95009,192,0,nXia,0,0)--那等暮姐姐有空了给我讲讲吧～
	wt(0.3)
	--点头
	npc.SetHeadRot(nLan,0,30,1,40)
	wt(0.2)
	npc.SetHeadRot(nLan,0,10,1,50)
	ui.Dialog(95010,160,2,nLan,0,0)--嗯。
	wt(0.3)
	--夏侯从后方走向崖头
	npc.MoveTo(nXiaHou,3324,4716)
	wt(1)
	camera.ResetLerp(5000)
	camera.ChangeCameraStatic(3235,2455,4672,3326,2456,4712)
	global.WaitForNpcPos(nXiaHou,3324,4716)
	wt(0.5)
	--小少爷诗兴大发
	--思考
	-- npc.SetAnim(nXiaHou,216)
	--对话
	npc.SetAnim(nXiaHou,217)
	wt(0.5)
	ui.Dialog(95011,521,2,nXiaHou,0,0)--春来遍是桃花水，不辨仙源何处寻。
	npc.SetHeadRot(nXia,0,-10)
	npc.TurnToNpc(nXia,nXiaHou)
	wt(0.3)
	npc.SetHeadRot(nLan,0,0)
	npc.TurnToNpc(nLan,nXiaHou)
	wt(0.2)
	-- npc.SetPos(nJiang,3208,4735)
	npc.SetPos(nJiang,3188,4732)
	npc.SetPos(nGang,3195,4710-3)
	--==========
	
	--###@@@镜头
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(3383,2455,4690,3287,2462,4715)
	camera.ResetLerp(20000)
	camera.ChangeCameraStatic(3397,2453,4686,3300,2460,4711)
	npc.MoveTo(nHuang,3291,4742)
	--思考一下
	npc.SetAnim(nXiaHou,219,1)
	npc.SetAnim(nXiaHou,200)
	wt(0.3)
	ui.Dialog(95012,527,0,nXiaHou,0,0)--春色融融，好一番写意的胜景啊！
	wt(0.3)
	npc.SetAnim(nXia,233,2)
	wt(0.5)
	ui.Dialog(95013,707,2,nXia,0,0)--暮姐姐你看，乌鸦嘴又来掉书袋了～
	wt(0.3)
	--开心
	npc.MoveTo(nGang,3229,4708)
	wt(0.5)
	npc.MoveTo(nJiang,3235,4729)
	global.WaitForNpcPos(nGang,3229,4708)
	npc.SetAnim(nGang,211)
	wt(0.5)
	ui.Dialog(95014,113,2,nGang,0,0)--不错不错，这儿又大又开阔，是个打架的好地方啊。
	wt(0.3)
	-- npc.MoveTo(nJiang,3235,4729)
	wt(0.3)
	npc.SetAnim(nHuang,216)
	wt(0.5)
	ui.Dialog(95015,551,0,nHuang,0,0)--山下已经是夏天了，这山中的景色还跟之前一样，还是春天。
	wt(0.5)
	npc.SetAnim(nXiaHou,211,2)
	wt(0.5)
	ui.Dialog(95016,527,0,nXiaHou,0,0)--人间四月芳菲尽，山寺桃花始盛开啊～
	wt(0.3)
	--==========
	
	--###@@@镜头
	camera.ResetLerp(0)
	-- camera.ChangeCameraStatic(3262,2463,4717,3176,2463,4768)
	camera.ChangeCameraStatic(3262,2463,4717,3176,2466,4767)
	global.WaitForNpcPos(nJiang,3235,4729)
	--摇头
	npc.SetAnim(nJiang,207,1)
	npc.SetAnim(nJiang,217,2)
	wt(0.5)
	ui.Dialog(95017,126,0,nJiang,0,0)--桃花不会生在这么高的山上。
	wt(0.3)
	--==========
	
	--###@@@镜头
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(3276,2463,4707,3375,2461,4726)
	--叹气
	npc.SetAnim(nXiaHou,234,1)
	npc.SetAnim(nXiaHou,200)
	-- wt(0.5)
	npc.TurnToNpc(nXiaHou,nJiang,1)
	wt(0.2)
	npc.SetAnim(nXiaHou,225,2)
	wt(1.5)
	ui.Dialog(95018,524,0,nXiaHou,0,0)--姜兄，为何我觉得你总是在拆我台呢……
	wt(0.3)
	--==========
	
	--###@@@镜头
	camera.ResetLerp(0)
	-- camera.ChangeCameraStatic(3397,2453,4686,3300,2460,4711)
	camera.ChangeCameraStatic(3322,2457,4689,3223,2448,4701)
	npc.TurnToNpc(nGang,nHuang,1)
	ui.Dialog(95019,110,2,nGang,0,0)--之前？\n皇甫小少爷，你来过这儿？
	npc.TurnToNpc(nXiaHou,nHuang)
	npc.SetHeadRot(nLan,-30,0,0,40)
	wt(0.2)
	npc.SetHeadRot(nXia,-35,-10,0,40)
	ui.Dialog(95020,164,2,nLan,0,0)--！
	wt(0.3)
	npc.SetHeadRot(nXia,0,-10,0,50)
	npc.SetAnim(nXia,217,2)
	ui.Dialog(95021,183,2,nXia,0,0)--咦？怎么我也记得自己好像来过这儿啊，瑾轩你呢？
	wt(0.3)
	npc.TurnToNpc(nXiaHou,nXia,1)
	ui.Dialog(95022,522,0,nXiaHou,0,0)--确实有此印象……
	wt(0.3)
	player.SetPos(3235,4729)
	--==========
	
	--###@@@镜头，姜承
	camera.ResetLerp(0)
	-- camera.ChangeCameraStatic(3249,2466,4723,3158,2475,4763)
	camera.ChangeCameraStatic(3260,2465,4715,3178,2462,4772)
	--姜承左右看看那
	head_lr(nJiang)
	ui.Dialog(95023,130,0,nJiang,0,0)--不对——
	wt(0.3)
	map.Weather(4,255,100)
	--暴风雪音音效
	global.PlaySoundLoop(1111,80)
	wt(1)
	--白淡出
	effect.FadeOutWhite(1,0.7)
	global.MusicFadeOut(2000,80,0)
	wt(2.5)
	--切幻境小屋
	map.ChangeNoScript(1,1092)
	camera.ResetLerp(0)
	-- camera.ChangeCameraStatic(952,880,8153,1051,888,8146)
	camera.ChangeCameraStatic(957,872,8152,1056,861,8143)
	--种人
	-- npc.Create(15,nFreezeZhang,661,8127)
	npc.Create(808,nFreezeZhang,625,8125)
	npc.SetAt(nFreezeZhang,-2,-1)
	npc.Create(807,nFreezeMing,638,8089)
	npc.SetAt(nFreezeMing,-1,0)
	-- player.SetPos(1358,8123)
	player.SetPos(767,8118)
	npc.Create(1,nXiaHou,1002,8148)
	npc.SetAt(nXiaHou,-1,0)
	npc.Create(2,nXia,1018,8161)
	npc.SetAt(nXia,-1,1)
	npc.Create(6,nHuang,1013,8129)
	npc.SetAt(nHuang,-1,-1)
	npc.Create(4,nLan,1036,8176)
	npc.SetAt(nLan,-3,1)
	npc.Create(5,nGang,1061,8160)
	npc.SetAt(nGang,-2,1)
	npc.Create(3,nJiang,1044,8133)
	npc.SetAt(nJiang,-1,0)
	map.Weather(4,255,100)
	--种怪
	npc.Create(816,nMon1,832,8078)
	npc.Create(816,nMon2,819,8138)
	npc.Create(816,nMon3,818,8188)
	npc.Create(814,nMon4,768,8106)
	npc.Create(814,nMon5,767,8169)
	npc.SetAtPos(nMon1,1038,8146)
	npc.SetAtPos(nMon2,1038,8146)
	npc.SetAtPos(nMon3,1038,8146)
	npc.SetAtPos(nMon4,1038,8146)
	npc.SetAtPos(nMon5,1038,8146)
	npc.Create(811,nMonsters,830,7774)
	--白淡入
	ui.Dialog(95024,179,0,nLan,0,0)--大家小心！不要慌乱，别走散了！
	wt(0.3)
	ui.Dialog(95025,528,0,nXiaHou,0,0)--瑕——
	npc.SetAnim(nXiaHou,220,2)
	npc.SetAnim(nXia,247)
	npc.SetAnim(nLan,127)
	npc.SetAnim(nJiang,101)
	npc.SetAnim(nHuang,127)
	wt(4)
	global.PlayMusic(44,80,2000)
	--淡入
	effect.FadeInWhite(1,0.7)
	camera.ResetLerp(2500)
	camera.ChangeCameraStatic(952,880,8153,1051,888,8146)
	wt(0.8)
	npc.SetAnimSpeed(nHuang,25)
	npc.SetAnimSpeed(nXia,25)
	npc.SetAnimSpeed(nJiang,25)
	npc.SetAnimSpeed(nLan,25)
	npc.SetAnim(nHuang,200)
	wt(0.2)
	npc.SetAnim(nXia,200)
	wt(0.2)
	npc.SetAnim(nJiang,200)
	npc.SetAnimSpeed(nHuang,100)
	npc.SetAnim(nHuang,200)
	wt(0.2)
	npc.SetAnim(nLan,200)
	npc.SetAnimSpeed(nXia,100)
	npc.SetAnim(nXia,200)
	wt(0.2)
	npc.SetAnimSpeed(nJiang,100)
	npc.SetAnim(nJiang,200)
	wt(0.2)
	npc.SetAnimSpeed(nLan,100)
	npc.SetAnim(nLan,200)
	wt(0.5)
	--冰冻特效
	-- npc.Create(1,nZhangSEDummy,625,8125)
	npc.Create(1,nZhangSEDummy,630,8129)
	npc.SetSEVisible(nZhangSEDummy,1)
	npc.SetVisible(nZhangSEDummy,0)
	npc.CreateSE(nZhangSEDummy,4279)
	npc.CreateSE(nFreezeMing,4279)
	npc.SetAnimSpeed(nFreezeZhang,10)
	npc.SetAnim(nFreezeZhang,200)
	npc.SetAnimSpeed(nFreezeMing,10)
	npc.SetAnim(nFreezeMing,200)
	--==========
	
	--###@@@镜头，姜承
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(1020,898,8139,1115,885,8110)
	camera.ResetLerp(300)
	camera.ChangeCameraStatic(1024,898,8138,1119,885,8109)
	-- camera.ChangeCameraStatic(1024,893,8139,1117,903,8105)
	--姜承吃惊
	-- npc.SetAnim(nJiang,208,2)
	wt(0.5)
	ui.Dialog(95026,130,0,nJiang,0,0)--这是！
	wt(0.3)
	-- global.StopLastSound()
	--==========
	
	--###@@@镜头，两爹
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(788,901,8111,688,897,8115)
	camera.ResetLerp(3000)
	camera.ChangeCameraStatic(788,901,8097,688,897,8101)
	wt(1)
	ui.Dialog(95027,529,0,nXiaHou,0,0)--啊，爹！
	wt(0.2)
	ui.Dialog(95028,555,0,nHuang,0,0)--父亲！
	npc.MoveTo(nMon1,885,8103)
	npc.MoveTo(nMon2,875,8141)
	npc.MoveTo(nMon3,876,8178)
	npc.MoveTo(nMon4,857,8118)
	npc.MoveTo(nMon5,850,8164)
	wt(0.3)
	--==========
	
	--###@@@镜头
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(953,896,8076,869,876,8127)
	camera.ResetLerp(2500)
	-- camera.ChangeCameraStatic(1006,920,8044,942,887,8114)
	camera.ChangeCameraStatic(998,909,8060,933,879,8130)
	wt(0.5)
	npc.SetSpeed(nXiaHou,0.8)
	npc.SetSpeed(nXia,0.8)
	npc.SetSpeed(nLan,0.8)
	npc.SetSpeed(nHuang,0.8)
	npc.SetSpeed(nJiang,0.8)
	npc.SetSpeed(nGang,0.8)
	npc.SetAnimSpeed(nXiaHou,80)
	npc.SetAnimSpeed(nXia,80)
	npc.SetAnimSpeed(nLan,80)
	npc.SetAnimSpeed(nHuang,80)
	npc.SetAnimSpeed(nJiang,80)
	npc.SetAnimSpeed(nGang,80)
	npc.RunTo(nXiaHou,921,8146)
	npc.SetPos(nHuang,997,8117)
	npc.RunTo(nHuang,932,8116)
	npc.SetPos(nXia,1004,8173)
	npc.RunTo(nXia,931,8168)
	npc.SetPos(nLan,1035,8164)
	npc.RunTo(nLan,949,8157)
	npc.RunTo(nJiang,950,8131)
	npc.RunTo(nGang,969,8147)
	wt(0.5)
	global.WaitForNpcPos(nXiaHou,921,8146)
	npc.SetAnim(nXiaHou,101)
	npc_weapon(nXiaHou,1)
	global.WaitForNpcPos(nHuang,932,8116)
	npc.SetAnim(nHuang,101)
	npc_weapon(nHuang,6)
	global.WaitForNpcPos(nXia,931,8168)
	npc.SetAnim(nXia,101)
	npc_weapon(nXia,2)
	wt(0.5)
	ui.Dialog(95029,0,0,nMonsters,0,0)--哼！擅闯者死！\n救爹的也死！
	wt(0.3)
	global.StopLastSound()
	func_end(0,0,0)
	
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(998,909,8060,933,879,8130)
	--除夏侯外队中人先离队
	for i=42022,42030,1 do
		if	flag.GetValue(i)==1	then
			player.Remove(p_id(i-42020))
		end
	end
	--锁定夏侯
	player.SetMainPlayer(p_id(1))
	player.LockPlace(p_id(1),1)
	--加入锁定皇甫
	player.Add(p_id(6),0,1)
	player.LockPlace(p_id(6),1)
	--加入剧情相关人物
	player.Add(p_id(2),0,1)
	player.Add(p_id(3),0,1)
	player.Add(p_id(4),0,1)
	player.Add(p_id(5),0,1)
	battle.Begin(2008,726,1)
end --if
end